### Function

# Gegl format

#### Declaration [src]

    GValue*
    gegl_format (
      const char* format_name
    )

#### Description [src]

Returns a value sutable to pass to the GeglBuffer constructor or any other property that expects a Babl format.

#### Parameters

`format_name`

  Type: `const char*`

  A Babl format name, e.g. “RGBA float”.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GValue`

The format pointer.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.